## vdr-plugin-femon 0.0.7

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = femon

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).h | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -O2 -Wall -Woverloaded-virtual

### The directory environment:

DVBDIR = ../../../../DVB
VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR (taken from VDR's "config.h"):

VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

ifdef NTSC_SYSTEM
DEFINES += -DNTSC_SYSTEM
endif

### The object files (add further files here):

OBJS = femon.o femonosd.o femonreceiver.o femoncfg.o femoni18n.o

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = g++ -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: libvdr-$(PLUGIN).so

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

## vdr-plugin-femon 0.9.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -O2 -Wall -Woverloaded-virtual
+CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -fPIC
 
 ### The directory environment:
 
@@ -44,9 +44,16 @@
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
-ifdef NTSC_SYSTEM
-DEFINES += -DNTSC_SYSTEM
+ifdef FEMON_NTSC
+DEFINES += -DFEMON_NTSC
 endif
+
+ifdef FEMON_DEBUG
+DEFINES += -DFEMON_DEBUG
+endif
+
+.PHONY: all all-redirect
+all-redirect: all
 
 ### The object files (add further files here):

## vdr-plugin-femon 0.9.5

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -fPIC
+CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual
 
 ### The directory environment:
 
@@ -57,7 +57,7 @@
 
 ### The object files (add further files here):
 
-OBJS = femon.o femonosd.o femonreceiver.o femoncfg.o femoni18n.o
+OBJS = femon.o femonosd.o femonreceiver.o femoncfg.o femoni18n.o femontools.o
 
 ### Implicit rules:
 
@@ -80,6 +80,9 @@
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
 	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
+ifndef FEMON_DEBUG
+	strip $(LIBDIR)/$@.$(VDRVERSION)
+endif
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)

=== femonclient-0.0.1/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 1.1 2005/08/21 10:43:12 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN = femonclient

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual

### The directory environment:

DVBDIR = ../../../../DVB
VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR (taken from VDR's "config.h"):

VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')

### The name of the distribution archive:

ARCHIVE = svcintf-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include -I$(VDRDIR)/PLUGINS/src/femon/

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = g++ -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: libvdr-$(PLUGIN).so

libvdr-$(PLUGIN).so: $(PLUGIN).o
	$(CXX) $(CXXFLAGS) -shared $(PLUGIN).o -o $@
	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

## vdr-plugin-femon 1.0.0

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,15 @@
 # Makefile for a Video Disk Recorder plugin
 #
 # $Id$
+
+# Debugging on/off 
+#FEMON_DEBUG = 1
+
+# NTSC on/off 
+#FEMON_NTSC = 1
+
+# Strip debug symbols?  Set eg. to /bin/true if not
+STRIP = strip
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -11,7 +20,7 @@
 
 ### The version number of this plugin (taken from the main source file):
 
-VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).h | awk '{ print $$6 }' | sed -e 's/[";]//g')
+VERSION = $(shell grep 'static const char VERSION\[\] *=' $(PLUGIN).h | awk '{ print $$6 }' | sed -e 's/[";]//g')
 
 ### The C++ compiler and options:
 
@@ -20,7 +29,6 @@
 
 ### The directory environment:
 
-DVBDIR = ../../../../DVB
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
@@ -29,9 +37,9 @@
 
 -include $(VDRDIR)/Make.config
 
-### The version number of VDR (taken from VDR's "config.h"):
+### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
-VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
+APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
 
 ### The name of the distribution archive:
 
@@ -40,16 +48,16 @@
 
 ### Includes and Defines (add further entries here):
 
-INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include
+INCLUDES += -I$(VDRDIR)/include
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
 ifdef FEMON_NTSC
-DEFINES += -DFEMON_NTSC
+DEFINES += -DNTSC
 endif
 
 ifdef FEMON_DEBUG
-DEFINES += -DFEMON_DEBUG
+DEFINES += -DDEBUG
 endif
 
 .PHONY: all all-redirect
@@ -79,10 +87,10 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
 ifndef FEMON_DEBUG
-	strip $(LIBDIR)/$@.$(VDRVERSION)
+	@$(STRIP) $@
 endif
+	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)

=== femonclient-0.0.1/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 ### The version number of this plugin (taken from the main source file):
 
-VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')
+VERSION = $(shell grep 'static const char VERSION\[\] *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')
 
 ### The C++ compiler and options:
 
@@ -20,27 +20,26 @@
 
 ### The directory environment:
 
-DVBDIR = ../../../../DVB
-VDRDIR = ../../..
-LIBDIR = ../../lib
+VDRDIR = ../../../..
+LIBDIR = ../../../lib
 TMPDIR = /tmp
 
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
 
-### The version number of VDR (taken from VDR's "config.h"):
+### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
-VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
+APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
 
 ### The name of the distribution archive:
 
-ARCHIVE = svcintf-$(VERSION)
+ARCHIVE = $(PLUGIN)-$(VERSION)
 PACKAGE = vdr-$(ARCHIVE)
 
 ### Includes and Defines (add further entries here):
 
-INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include -I$(VDRDIR)/PLUGINS/src/femon/
+INCLUDES += -I$(VDRDIR)/include -I$(VDRDIR)/PLUGINS/src/femon/
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
@@ -68,7 +67,7 @@
 
 libvdr-$(PLUGIN).so: $(PLUGIN).o
 	$(CXX) $(CXXFLAGS) -shared $(PLUGIN).o -o $@
-	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
+	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)

## vdr-plugin-femon 1.1.0

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 ifndef FEMON_DEBUG
 	@$(STRIP) $@
 endif
-	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
+	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)

## vdr-plugin-femon 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,17 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id$
-
-# Debugging on/off 
-#FEMON_DEBUG = 1
-
-# NTSC on/off 
-#FEMON_NTSC = 1
-
-# Strip debug symbols?  Set eg. to /bin/true if not
-STRIP = strip
+# $Id: Makefile 1.1 2005/08/21 10:43:12 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
 # By default the main source file also carries this name.
 #
-PLUGIN = femon
+PLUGIN = femonclient
 
 ### The version number of this plugin (taken from the main source file):
 
-VERSION = $(shell grep 'static const char VERSION\[\] *=' $(PLUGIN).h | awk '{ print $$6 }' | sed -e 's/[";]//g')
+VERSION = $(shell grep 'static const char VERSION\[\] *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')
 
 ### The C++ compiler and options:
 
@@ -48,24 +39,13 @@
 
 ### Includes and Defines (add further entries here):
 
-INCLUDES += -I$(VDRDIR)/include
+INCLUDES += -I$(VDRDIR)/include -I$(VDRDIR)/PLUGINS/src/femon/
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
-ifdef FEMON_NTSC
-DEFINES += -DNTSC
-endif
-
-ifdef FEMON_DEBUG
-DEFINES += -DDEBUG
-endif
-
-.PHONY: all all-redirect
-all-redirect: all
-
 ### The object files (add further files here):
 
-OBJS = femon.o femonosd.o femonreceiver.o femoncfg.o femoni18n.o femontools.o
+OBJS = $(PLUGIN).o
 
 ### Implicit rules:
 
@@ -85,11 +65,8 @@
 
 all: libvdr-$(PLUGIN).so
 
-libvdr-$(PLUGIN).so: $(OBJS)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-ifndef FEMON_DEBUG
-	@$(STRIP) $@
-endif
+libvdr-$(PLUGIN).so: $(PLUGIN).o
+	$(CXX) $(CXXFLAGS) -shared $(PLUGIN).o -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean

## vdr-plugin-femon 1.2.2

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,22 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.1 2005/08/21 10:43:12 kls Exp $
+# $Id$
+
+# Debugging on/off 
+#FEMON_DEBUG = 1
+
+# NTSC on/off 
+#FEMON_NTSC = 1
+
+# Strip debug symbols?  Set eg. to /bin/true if not
+STRIP = strip
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
 # By default the main source file also carries this name.
 #
-PLUGIN = femonclient
+PLUGIN = femon
 
 ### The version number of this plugin (taken from the main source file):
 
@@ -39,13 +48,28 @@
 
 ### Includes and Defines (add further entries here):
 
-INCLUDES += -I$(VDRDIR)/include -I$(VDRDIR)/PLUGINS/src/femon/
+INCLUDES += -I$(VDRDIR)/include
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
+ifdef FEMON_NTSC
+DEFINES += -DNTSC
+endif
+
+ifdef FEMON_DEBUG
+DEFINES += -DDEBUG
+endif
+
+.PHONY: all all-redirect
+all-redirect: all
+
 ### The object files (add further files here):
 
-OBJS = $(PLUGIN).o
+OBJS = femon.o femonosd.o femonreceiver.o femoncfg.o femontools.o
+
+### The main target:
+
+all: libvdr-$(PLUGIN).so i18n
 
 ### Implicit rules:
 
@@ -61,12 +85,38 @@
 
 -include $(DEPFILE)
 
+### Internationalization (I18N):
+
+PODIR     = po
+LOCALEDIR = $(VDRDIR)/locale
+I18Npo    = $(wildcard $(PODIR)/*.po)
+I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
+I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
+I18Npot   = $(PODIR)/$(PLUGIN).pot
+
+%.mo: %.po
+	msgfmt -c -o $@ $<
+
+$(I18Npot): $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='Rolf Ahrenberg' -o $@ $(wildcard *.c)
+
+$(I18Npo): $(I18Npot)
+	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+
+i18n: $(I18Npot) $(I18Nmo)
+	@mkdir -p $(LOCALEDIR)
+	for i in $(I18Ndirs); do\
+	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
+	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr-$(PLUGIN).mo;\
+	    done
+
 ### Targets:
 
-all: libvdr-$(PLUGIN).so
-
-libvdr-$(PLUGIN).so: $(PLUGIN).o
-	$(CXX) $(CXXFLAGS) -shared $(PLUGIN).o -o $@
+libvdr-$(PLUGIN).so: $(OBJS)
+	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
+ifndef FEMON_DEBUG
+	@$(STRIP) $@
+endif
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 dist: clean
@@ -78,4 +128,5 @@
 	@echo Distribution package created as $(PACKAGE).tgz
 
 clean:
+	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

## vdr-plugin-femon 1.6.0

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,8 @@
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
 # By default the main source file also carries this name.
+# IMPORTANT: the presence of this macro is important for the Make.config
+# file. So it must be defined, even if it is not used here!
 #
 PLUGIN = femon
 
@@ -25,7 +27,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual
+CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
 
 ### The directory environment:
 
@@ -76,9 +78,9 @@
 %.o: %.c
 	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
 
-# Dependencies:
+### Dependencies:
 
-MAKEDEP = g++ -MM -MG
+MAKEDEP = $(CXX) -MM -MG
 DEPFILE = .dependencies
 $(DEPFILE): Makefile
 	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@
@@ -90,25 +92,25 @@
 PODIR     = po
 LOCALEDIR = $(VDRDIR)/locale
 I18Npo    = $(wildcard $(PODIR)/*.po)
-I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
-I18Ndirs  = $(notdir $(foreach file, $(I18Npo), $(basename $(file))))
+I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='Rolf Ahrenberg' -o $@ $(wildcard *.c)
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='Rolf Ahrenberg' -o $@ $^
 
-$(I18Npo): $(I18Npot)
+%.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
+	@touch $@
 
-i18n: $(I18Npot) $(I18Nmo)
-	@mkdir -p $(LOCALEDIR)
-	for i in $(I18Ndirs); do\
-	    mkdir -p $(LOCALEDIR)/$$i/LC_MESSAGES;\
-	    cp $(PODIR)/$$i.mo $(LOCALEDIR)/$$i/LC_MESSAGES/vdr-$(PLUGIN).mo;\
-	    done
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+	@mkdir -p $(dir $@)
+	cp $< $@
+
+.PHONY: i18n
+i18n: $(I18Nmsgs) $(I18Npot)
 
 ### Targets:
 
@@ -128,5 +130,4 @@
 	@echo Distribution package created as $(PACKAGE).tgz
 
 clean:
-	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
-	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~
+	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~ $(PODIR)/*.mo $(PODIR)/*.pot

## vdr-plugin-femon 1.6.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #
-# Makefile for a Video Disk Recorder plugin
+# Makefile for Frontend Status Monitor plugin
 #
-# $Id$
 
 # Debugging on/off 
 #FEMON_DEBUG = 1
@@ -67,7 +66,7 @@
 
 ### The object files (add further files here):
 
-OBJS = femon.o femonosd.o femonreceiver.o femoncfg.o femontools.o
+OBJS = femon.o femonosd.o femonreceiver.o femoncfg.o femontools.o femonmpeg.o femonac3.o femonaac.o femonh264.o femonsymbol.o
 
 ### The main target:

## vdr-plugin-femon 1.6.7

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Debugging on/off 
 #FEMON_DEBUG = 1
-
-# NTSC on/off 
-#FEMON_NTSC = 1
 
 # Strip debug symbols?  Set eg. to /bin/true if not
 STRIP = strip
@@ -26,7 +23,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses
+CXXFLAGS ?= -fPIC -g -O2 -Wall -Wextra -Wswitch-default -Wfloat-equal -Wundef -Wpointer-arith -Wconversion -Wcast-align -Wredundant-decls -Wno-unused-parameter -Woverloaded-virtual -Wno-parentheses
 
 ### The directory environment:
 
@@ -52,10 +49,6 @@
 INCLUDES += -I$(VDRDIR)/include
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
-
-ifdef FEMON_NTSC
-DEFINES += -DNTSC
-endif
 
 ifdef FEMON_DEBUG
 DEFINES += -DDEBUG

## vdr-plugin-femon 1.7.9

=== Makefile ===
--- 
+++ 
@@ -24,12 +24,17 @@
 
 CXX      ?= g++
 CXXFLAGS ?= -fPIC -g -O2 -Wall -Wextra -Wswitch-default -Wfloat-equal -Wundef -Wpointer-arith -Wconversion -Wcast-align -Wredundant-decls -Wno-unused-parameter -Woverloaded-virtual -Wno-parentheses
+LDFLAGS  ?= -Wl,--as-needed
 
 ### The directory environment:
 
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
+
+### Make sure that necessary options are included:
+
+-include $(VDRDIR)/Make.global
 
 ### Allow user defined options to overwrite defaults:
 
@@ -59,7 +64,7 @@
 
 ### The object files (add further files here):
 
-OBJS = femon.o femonosd.o femonreceiver.o femoncfg.o femontools.o femonmpeg.o femonac3.o femonaac.o femonh264.o femonsymbol.o
+OBJS = femon.o femonosd.o femonreceiver.o femoncfg.o femontools.o femonmpeg.o femonac3.o femonaac.o femonlatm.o femonh264.o femonsymbol.o
 
 ### The main target:
 
@@ -67,7 +72,7 @@
 
 ### Implicit rules:
 
-%.o: %.c
+%.o: %.c Makefile
 	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
 
 ### Dependencies:
@@ -91,7 +96,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='Rolf Ahrenberg' -o $@ $^
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<see README>' -o $@ $^
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
@@ -107,7 +112,7 @@
 ### Targets:
 
 libvdr-$(PLUGIN).so: $(OBJS)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
 ifndef FEMON_DEBUG
 	@$(STRIP) $@
 endif

=== debian/changelog ===
vdr-plugin-femon (1.7.9-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:03 +0200

vdr-plugin-femon (1.7.9-2) unstable; urgency=low

  * Dropped README.source
  * Source format 3.0 (quilt)

 -- Tobias Grimm <etobi@debian.org>  Fri, 08 Apr 2011 20:37:44 +0200

vdr-plugin-femon (1.7.9-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Dropped 01_fix-nostrip.dpatch
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Sat, 02 Apr 2011 22:42:58 +0200

vdr-plugin-femon (1.6.7-3) unstable; urgency=low

  [ Thomas Schmidt ]
  * Standards-Version: 3.8.4
  * Updated debian/copyright

  [ Tobias Grimm]
  * Build-depend on vdr-dev >= 1.6.0-16

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 14:20:01 +0200

vdr-plugin-femon (1.6.7-2) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552580)
  * Added README.source

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 22:57:39 +0100

vdr-plugin-femon (1.6.7-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Sat, 03 Oct 2009 20:09:12 +0200

vdr-plugin-femon (1.6.6-2) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:10:52 +0200

vdr-plugin-femon (1.6.6-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright

 -- Tobias Grimm <etobi@debian.org>  Sat, 24 Jan 2009 18:03:40 +0100

vdr-plugin-femon (1.6.5-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Dec 2008 00:02:38 +0100

vdr-plugin-femon (1.6.3-1) unstable; urgency=low

  * New upstream release
  * Changed my maintainer/uploader email address
  * Fixed debian/watch

 -- Tobias Grimm <etobi@debian.org>  Sat, 15 Nov 2008 10:26:33 +0100

vdr-plugin-femon (1.6.1-1) unstable; urgency=low

  [ Tobias Grimm ]
  * New upstream release
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0
  * Using COMPAT=5 now

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 17:34:09 +0200

vdr-plugin-femon (1.6.0-3) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:16:35 +0200

vdr-plugin-femon (1.6.0-2) experimental; urgency=low

  * Increased package version to force rebuild for vdr 1.6.0-1ctvdr7

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 12 May 2008 12:55:52 +0200

vdr-plugin-femon (1.6.0-1) experimental; urgency=low

  [ Tobias Grimm ]
  * New upstream release

  [ Thomas Schmidt ]
  * Build-Depend on vdr-dev (>=1.6.0)

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 03 Apr 2008 23:12:50 +0200

vdr-plugin-femon (1.2.3-2) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:07:53 +0100

vdr-plugin-femon (1.2.3-1) experimental; urgency=low

  [ Tobias Grimm ]
  * New upstream release
  * Updated debian/copyright
  * Merge devel branch
  * Build-depend on vdr-dev (>= 1.5.7-1)

  [Thomas Günther]
  * Added gettext to Build-Depends

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 16 Feb 2008 12:40:41 +0100

vdr-plugin-femon (1.1.4-1) unstable; urgency=low

  * New upstream release
  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3

 -- Tobias Grimm <tg@e-tobi.net>  Tue, 01 Jan 2008 19:22:56 +0100

vdr-plugin-femon (1.1.3-6) unstable; urgency=low

  * New version to force update with new VDR 1.4.7-2ctvdr4

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 26 Nov 2007 19:46:37 +0100

vdr-plugin-femon (1.1.3-5) unstable; urgency=low

  * Release for vdrdevel 1.5.9

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 28 Aug 2007 01:01:02 +0200

vdr-plugin-femon (1.1.3-4) unstable; urgency=low

  * Release for vdrdevel 1.5.8

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 23 Aug 2007 01:08:57 +0200

vdr-plugin-femon (1.1.3-3) unstable; urgency=low

  [ Thomas Günther ]
  * Added 01_fix-nostrip.dpatch (closes: #438244)
  * Added copyright and license of Debian packaging to debian/copyright
  
  [ Thomas Günther ]
  * Uploading package

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 20 Aug 2007 20:26:19 +0200

vdr-plugin-femon (1.1.3-2) unstable; urgency=low

  * Release for vdrdevel 1.5.6

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 14 Aug 2007 01:46:11 +0200

vdr-plugin-femon (1.1.3-1) unstable; urgency=low

  * New upstream release
  * Improved debian/copyright

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 12 Jul 2007 21:58:02 +0200

vdr-plugin-femon (1.1.1-5) unstable; urgency=low

  * Release for vdrdevel 1.5.5

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 27 Jun 2007 23:02:33 +0200

vdr-plugin-femon (1.1.1-4) unstable; urgency=low

  * Added XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 28 May 2007 19:08:04 +0200

vdr-plugin-femon (1.1.1-3) experimental; urgency=low

  * Release for vdrdevel 1.5.2

 -- Thomas Günther <tom@toms-cafe.de>  Sat, 28 Apr 2007 00:00:24 +0200

vdr-plugin-femon (1.1.1-2) experimental; urgency=low

  * Release for vdrdevel 1.5.1
  * Added myself to Uploaders

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 27 Feb 2007 19:59:13 +0100

vdr-plugin-femon (1.1.1-1) experimental; urgency=low

  [ Thomas Günther ]
  * Replaced VDRdevel adaptions in debian/rules with make-special-vdr
  * Adapted call of dependencies.sh and patchlevel.sh to the new location
    in /usr/share/vdr-dev/

  [ Tobias Grimm ]
  * Build-Depend on vdr-dev (>=1.4.5-1)
  * New upstream release

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 14 Jan 2007 20:25:55 +0100



=== debian/control ===
Source: vdr-plugin-femon
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.18), gettext
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-femon/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-femon/trunk/
Homepage: http://www.saunalahti.fi/~rahrenbe/vdr/femon/

Package: vdr-plugin-femon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: DVB frontend status monitor plugin for VDR
 DVB Frontend Status Monitor (femon) is a VDR plugin that displays
 signal quality parameters of the tuned channel on the OSD.

## vdr-plugin-femon 1.7.10

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Wextra -Wswitch-default -Wfloat-equal -Wundef -Wpointer-arith -Wconversion -Wcast-align -Wredundant-decls -Wno-unused-parameter -Woverloaded-virtual -Wno-parentheses
+CXXFLAGS ?= -fPIC -g -O3 -Wall -Wextra -Wswitch-default -Wfloat-equal -Wundef -Wpointer-arith -Wconversion -Wcast-align -Wredundant-decls -Wno-unused-parameter -Woverloaded-virtual -Wno-parentheses
 LDFLAGS  ?= -Wl,--as-needed
 
 ### The directory environment:
@@ -96,7 +96,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<see README>' -o $@ $^
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name='vdr-$(PLUGIN)' --package-version='$(VERSION)' --msgid-bugs-address='<see README>' -o $@ $^
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
@@ -118,7 +118,7 @@
 endif
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
-dist: clean
+dist: $(I18Npo) clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)

=== debian/changelog ===
vdr-plugin-femon (1.7.10-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:33 +0200

vdr-plugin-femon (1.7.10-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.19)

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 Jun 2011 22:31:32 +0200

vdr-plugin-femon (1.7.10-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sun, 05 Jun 2011 19:32:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.18), gettext
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.20), gettext
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-femon/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-femon/trunk/
 Homepage: http://www.saunalahti.fi/~rahrenbe/vdr/femon/

## vdr-plugin-femon 1.7.11

=== Makefile ===
--- 
+++ 
@@ -96,7 +96,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name='vdr-$(PLUGIN)' --package-version='$(VERSION)' --msgid-bugs-address='<see README>' -o $@ $^
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name='vdr-$(PLUGIN)' --package-version='$(VERSION)' --msgid-bugs-address='<see README>' -o $@ `ls $^`
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
@@ -128,3 +128,6 @@
 
 clean:
 	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~ $(PODIR)/*.mo $(PODIR)/*.pot
+
+cppcheck: $(OBJS)
+	@cppcheck --enable=information,style,unusedFunction -v -f $(OBJS:%.o=%.c)

=== debian/changelog ===
vdr-plugin-femon (1.7.11-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 15:59:44 +0100

vdr-plugin-femon (1.7.10-5) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:10:35 +0200

vdr-plugin-femon (1.7.10-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.20), gettext
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.22), gettext
 Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-femon/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-femon/trunk/
 Homepage: http://www.saunalahti.fi/~rahrenbe/vdr/femon/
+Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-femon.git
+Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-femon.git
 
 Package: vdr-plugin-femon
 Architecture: any

## vdr-plugin-femon 1.7.12

=== debian/changelog ===
vdr-plugin-femon (1.7.12-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 18:56:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.22), gettext
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.23), gettext
 Standards-Version: 3.9.2
 Homepage: http://www.saunalahti.fi/~rahrenbe/vdr/femon/
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-femon.git

## vdr-plugin-femon 1.7.17

=== Makefile ===
--- 
+++ 
@@ -19,18 +19,19 @@
 ### The version number of this plugin (taken from the main source file):
 
 VERSION = $(shell grep 'static const char VERSION\[\] *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')
+GITTAG  = $(shell git describe --always 2>/dev/null)
 
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O3 -Wall -Wextra -Wswitch-default -Wfloat-equal -Wundef -Wpointer-arith -Wconversion -Wcast-align -Wredundant-decls -Wno-unused-parameter -Woverloaded-virtual -Wno-parentheses
+CXXFLAGS ?= -fPIC -g -O3 -Wall -Wextra -Wswitch-default -Wfloat-equal -Wundef -Wpointer-arith -Wconversion -Wcast-align -Wredundant-decls -Wno-unused-parameter -Werror=overloaded-virtual -Wno-parentheses
 LDFLAGS  ?= -Wl,--as-needed
 
 ### The directory environment:
 
-VDRDIR = ../../..
-LIBDIR = ../../lib
-TMPDIR = /tmp
+VDRDIR ?= ../../..
+LIBDIR ?= ../../lib
+TMPDIR ?= /tmp
 
 ### Make sure that necessary options are included:
 
@@ -57,6 +58,10 @@
 
 ifdef FEMON_DEBUG
 DEFINES += -DDEBUG
+endif
+
+ifneq ($(strip $(GITTAG)),)
+DEFINES += -DGITVERSION='"-GIT-$(GITTAG)"'
 endif
 
 .PHONY: all all-redirect

=== debian/changelog ===
vdr-plugin-femon (1.7.17-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Mon, 11 Jun 2012 08:38:41 +0200

vdr-plugin-femon (1.7.17-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:16 +0200

vdr-plugin-femon (1.7.17-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.27)
  * Updated debian/copyright
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sat, 28 Apr 2012 07:50:57 +0200

vdr-plugin-femon (1.7.15-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.26)

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 12:19:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.23), gettext
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28), gettext
+Standards-Version: 3.9.3
 Homepage: http://www.saunalahti.fi/~rahrenbe/vdr/femon/
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-femon.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-femon.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale STRIP=/bin/true

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -rf locale libvdr-*.so.*

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	dh_gencontrol

## vdr-plugin-femon 2.0.0

=== Makefile ===
#
# Makefile for Frontend Status Monitor plugin
#

# Debugging on/off

#FEMON_DEBUG = 1

# Strip debug symbols?  Set eg. to /bin/true if not

STRIP = strip

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = femon

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char VERSION\[\] *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')
GITTAG  = $(shell git describe --always 2>/dev/null)

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

ifdef FEMON_DEBUG
DEFINES += -DDEBUG
endif

ifneq ($(strip $(GITTAG)),)
DEFINES += -DGITVERSION='"-GIT-$(GITTAG)"'
endif

.PHONY: all all-redirect
all-redirect: all

### The object files (add further files here):

OBJS = $(PLUGIN).o femonosd.o femonreceiver.o femoncfg.o femontools.o femonmpeg.o femonac3.o femonaac.o femonlatm.o femonh264.o femonsymbol.o

### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
ifndef FEMON_DEBUG
	@$(STRIP) $@
endif

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

.PHONY: cppcheck
cppcheck:
	@cppcheck --language=c++ --enable=all -v -f $(OBJS:%.o=%.c)

=== debian/changelog ===
vdr-plugin-femon (2.0.0-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Mon, 22 Apr 2013 19:22:08 +0200

vdr-plugin-femon (1.7.19-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:06 +0200

vdr-plugin-femon (1.7.19-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:10 +0100

vdr-plugin-femon (1.7.19-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 20:21:52 +0100

vdr-plugin-femon (1.7.19-1) unstable; urgency=low

  * New upstream release
  * Using debhelper 9
  * Updated debian/copyright
  * Build-depend on vdr-dev (>= 1.7.40)
  * Standards-Version: 3.9.4

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 20:21:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28), gettext
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), gettext, pkg-config
+Standards-Version: 3.9.4
 Homepage: http://www.saunalahti.fi/~rahrenbe/vdr/femon/
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-femon.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-femon.git

=== debian/watch ===
version=2
http://www.saunalahti.fi/~rahrenbe/vdr/femon/files/ \./vdr-femon-(.*)\.(?:tgz|tar\.gz)

## vdr-plugin-femon 2.0.4

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 ### The directory environment:
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
-PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
+PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
 LIBDIR = $(call PKGCFG,libdir)
 LOCDIR = $(call PKGCFG,locdir)
 PLGCFG = $(call PKGCFG,plgcfg)

=== debian/changelog ===
vdr-plugin-femon (2.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Mon, 27 Oct 2014 19:24:28 +0100

vdr-plugin-femon (2.0.0-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:11:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), gettext, pkg-config
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.6), gettext, pkg-config
+Standards-Version: 3.9.5
 Homepage: http://www.saunalahti.fi/~rahrenbe/vdr/femon/
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-femon.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-femon.git

## vdr-plugin-femon 2.2.1

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,6 @@
 #
 # Makefile for Frontend Status Monitor plugin
 #
-
-# Debugging on/off
-
-#FEMON_DEBUG = 1
-
-# Strip debug symbols?  Set eg. to /bin/true if not
-
-STRIP = strip
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -35,6 +27,7 @@
 
 export CFLAGS   = $(call PKGCFG,cflags)
 export CXXFLAGS = $(call PKGCFG,cxxflags)
+STRIP           ?= /bin/true
 
 ### The version number of VDR's plugin API:
 
@@ -59,10 +52,6 @@
 
 DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
-ifdef FEMON_DEBUG
-DEFINES += -DDEBUG
-endif
-
 ifneq ($(strip $(GITTAG)),)
 DEFINES += -DGITVERSION='"-GIT-$(GITTAG)"'
 endif
@@ -72,7 +61,7 @@
 
 ### The object files (add further files here):
 
-OBJS = $(PLUGIN).o femonosd.o femonreceiver.o femoncfg.o femontools.o femonmpeg.o femonac3.o femonaac.o femonlatm.o femonh264.o femonsymbol.o
+OBJS = $(PLUGIN).o aac.o ac3.o config.o h264.o latm.o mpeg.o osd.o receiver.o setup.o symbol.o tools.o
 
 ### The main target:
 
@@ -122,9 +111,7 @@
 
 $(SOFILE): $(OBJS)
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
-ifndef FEMON_DEBUG
 	@$(STRIP) $@
-endif
 
 install-lib: $(SOFILE)
 	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

=== debian/changelog ===
vdr-plugin-femon (2.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Thu, 03 Sep 2015 18:35:28 +0200

vdr-plugin-femon (2.2.0-2) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 20:05:58 +0100

vdr-plugin-femon (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Sun, 22 Feb 2015 11:50:03 +0100

vdr-plugin-femon (2.1.1-3) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:46 +0100

vdr-plugin-femon (2.1.1-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.1.10)

 -- Tobias Grimm <etobi@debian.org>  Thu, 12 Feb 2015 21:02:25 +0100

vdr-plugin-femon (2.1.1-1) unstable; urgency=medium

  * New upstream release
  * Build-depend on vdr-dev (>= 2.1.9)

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Feb 2015 18:59:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.6), gettext, pkg-config
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), gettext, pkg-config
+Standards-Version: 3.9.6
 Homepage: http://www.saunalahti.fi/~rahrenbe/vdr/femon/
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-femon.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-femon.git

## vdr-plugin-femon 2.3.0~git20170108

=== Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 
 ### The object files (add further files here):
 
-OBJS = $(PLUGIN).o aac.o ac3.o config.o h264.o latm.o mpeg.o osd.o receiver.o setup.o symbol.o tools.o
+OBJS = $(PLUGIN).o aac.o ac3.o config.o h264.o h265.o latm.o mpeg.o osd.o receiver.o setup.o symbol.o tools.o
 
 ### The main target:

=== debian/changelog ===
vdr-plugin-femon (2.3.0~git20170108-1) unstable; urgency=medium

  * New upstream spanshot (Closes: #872489)
  * Build-depend on vdr-dev >= 2.3.8

 -- Tobias Grimm <etobi@debian.org>  Sun, 20 Aug 2017 21:51:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), gettext, pkg-config
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.3.8), gettext, pkg-config
+Standards-Version: 3.9.8
 Homepage: http://www.saunalahti.fi/~rahrenbe/vdr/femon/
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-femon.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-femon.git
